#!/usr/bin/env node
"use strict";

var _sade = _interopRequireDefault(require("sade"));

var _set = require("./set/set");

var _unset = require("./unset/unset");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _sade.default)('macos-keyboard-shortcuts').command('set [file]').describe('Sets the keyboard shortcuts as defined in the specified file').option('-s, --script', 'Prints a bash script').action(async function (file, {
  script
}) {
  await (0, _set.set)(file, script);
}).command('unset [file]').describe('Unsets the keyboard shortcuts as defined in the specified file').option('-s, --script', 'Prints a bash script').action(async function (file, {
  script
}) {
  await (0, _unset.unset)(file, script);
}).parse(process.argv);